#include <SDL/SDL.h>
#include <stdio.h>

int main (int argc, char *argv[])
{
    SDL_Surface *screen;
    if (SDL_Init (SDL_INIT_VIDEO) != 0) {
        printf ("SDL Init failed: %s", SDL_GetError());
        return 1;
    }

    atexit(SDL_Quit);

    // Get the current video hardware information
    const SDL_VideoInfo* vidInfo = SDL_GetVideoInfo();
    printf ("Current screen size: %dx%d\n", vidInfo->current_w, vidInfo->current_h);

    int width = vidInfo->current_w;
    int height = vidInfo->current_h;
    int bpp = vidInfo->vfmt->BitsPerPixel;

    screen = SDL_SetVideoMode (width, height, bpp, SDL_NOFRAME);
    if (screen == NULL) {
        printf ("Setting video mode failed: %s", SDL_GetError());
        return 1;
    }

    SDL_Event event;
    int quitFlag = 0;

    while (quitFlag == 0) {
        while (SDL_PollEvent(&event)) {
            if (event.type == SDL_KEYDOWN) {
                if (event.key.keysym.sym == SDLK_q || event.key.keysym.sym == SDLK_ESCAPE) {
                    quitFlag = 1;
                } else if (event.key.keysym.sym == SDLK_g) {
                    SDL_WM_GrabInput (SDL_GRAB_ON);
                } else if (event.key.keysym.sym == SDLK_u) {
                    SDL_WM_GrabInput (SDL_GRAB_OFF);
                }
            }
        }
    }

    return EXIT_SUCCESS;
}
